Bug 14880 - dagrab 0.3.3 use of O_NONBLOCK does not work on STABLE
Summary: dagrab 0.3.3 use of O_NONBLOCK does not work on STABLE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: cpiazza
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1999-11-14 20:30 UTC by parag
Modified: 2010-07-22 14:50 UTC (History)
0 users

See Also:


Attachments
file.diff (551 bytes, patch)
1999-11-14 20:30 UTC, parag
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description parag 1999-11-14 20:30:05 UTC
	Trying to copy an audio track from a CD using the latest 0.3.3
	port of dagrab fails to work on 3.3-STABLE.  I don't know if it
	works on CURRENT as I don't have a way to test it at the moment.

	The program fails immediately with a device-open error.  Running
	it as root makes no difference.

Fix: Remove the "|O_NONBLOCK" in the open() call for the CD-ROM
	device in dagrab.c.  Then it works fine for me.

How-To-Repeat: 
	Try to copy an audio track using the dagrab 0.3.3 port.
Comment 1 cpiazza freebsd_committer 1999-11-14 20:50:30 UTC
Responsible Changed
From-To: freebsd-ports->cpiazza

I'll take this 
Comment 2 cpiazza freebsd_committer 1999-11-20 22:42:09 UTC
State Changed
From-To: open->closed

Patch added, thanks! 

Comment 3 dfilter service freebsd_committer 2010-07-22 14:44:36 UTC
wxs         2010-07-22 13:44:28 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/jnettop     Makefile 
  Log:
  Fix this port when using Endace DAG card.
  
  PR:             ports/14880
  Submitted by:   Ryan Steinmetz <rpsfa@rit.edu> (maintainer)
  
  Revision  Changes    Path
  1.3       +6 -0      ports/net-mgmt/jnettop/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"